Versand-Analytics exportieren
/sends/data_series
Verwenden Sie diesen Endpunkt, um eine tägliche Reihe verschiedener Statistiken für eine getrackte
send_idfür API-Kampagnen abzurufen.
Braze speichert Versand-Analytics für 14 Tage nach dem Versand. Campaign-Conversions werden der letzten send_id zugeschrieben, die ein:e bestimmte:r Nutzer:in von der Campaign erhalten hat.

data_series-Zählwerte auf Versandebene stimmen nicht immer exakt mit den Engagement-Analytics im Dashboard oder mit Aggregaten überein, die Sie aus Currents erstellen. Dashboard-Metriken und API-Zeitreihen verwenden andere Aggregationsfenster und Definitionen als unverarbeitete Currents-Ereignisse. Allgemeine Hinweise zum Abgleich finden Sie in den Currents-FAQ.
Voraussetzungen
Dieser Endpunkt ist nur für API-Kampagnen gedacht. Um diesen Endpunkt zu verwenden, benötigen Sie einen API-Schlüssel mit der Berechtigung sends.data_series.
Rate-Limit
Wir wenden auf diesen Endpunkt das standardmäßige Braze-Rate-Limit von 250.000 Anfragen pro Stunde an, wie in API-Rate-Limits dokumentiert.
Anfrageparameter
| Parameter | Erforderlich | Datentyp | Beschreibung |
|---|---|---|---|
campaign_id |
Erforderlich | String | Siehe Campaign-API-Bezeichner. |
send_id |
Erforderlich | String | Siehe Versand-API-Bezeichner. |
length |
Erforderlich | Integer | Maximale Anzahl der Tage vor ending_at, die in der zurückgegebenen Reihe enthalten sein sollen. Muss zwischen 1 und 100 (einschließlich) liegen. |
ending_at |
Optional | Datetime (ISO-8601-String) |
Datum, an dem die Datenreihe enden soll. Standardmäßig wird der Zeitpunkt der Anfrage verwendet. |
Beispielanfrage
1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/sends/data_series?campaign_id={{campaign_identifier}}&send_id={{send_identifier}}&length=30&ending_at=2014-12-10T23:59:59-05:00' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'
Antwort
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
{
"message": (required, string) the status of the export, returns 'success' when completed without errors,
"data" : [
{
"time": (string) the date as ISO 8601 date,
"messages": {
"ios_push" : [
{
"variation_name": (string) variation name,
"sent": (int) the number of sends,
"delivered": (int) the number of messages successfully delivered,
"undelivered": (int) the number of undelivered,
"delivery_failed": (int) the number of rejected,
"direct_opens": (int) the number of direct opens,
"total_opens": (int) the number of total opens,
"bounces": (int) the number of bounces,
"body_clicks": (int) the number of body clicks,
"revenue": (float) the number of dollars of revenue (USD),
"unique_recipients": (int) the number of unique recipients at the campaign-level,
"conversions": (int) the number of conversions,
"conversions_by_send_time": (int) the number of conversions attributed to the date the campaign was sent,
"conversions1": (optional, int) the number of conversions for the second conversion event,
"conversions1_by_send_time": (optional, int) the number of conversions for the second conversion event attributed to the date the campaign was sent,
"conversions2": (optional, int) the number of conversions for the third conversion event,
"conversions2_by_send_time": (optional, int) the number of conversions for the third conversion event attributed to the date the campaign was sent,
"conversions3": (optional, int) the number of conversions for the fourth conversion event,
"conversions3_by_send_time": (optional, int) the number of conversions for the fourth, conversion event attributed to the date the campaign was sent
}
]
},
"conversions_by_send_time": (optional, int),
"conversions1_by_send_time": (optional, int),
"conversions2_by_send_time": (optional, int),
"conversions3_by_send_time": (optional, int),
"conversions": (int),
"conversions1": (optional, int),
"conversions2": (optional, int),
"conversions3": (optional, int),
"unique_recipients": (int),
"revenue": (optional, float)
}
],
"message": "success"
}

Hilfe zu CSV- und API-Exporten finden Sie unter Fehlerbehebung bei Exporten.